sysdev_driver_register
Prev | Device Drivers Base | Next

## Name

sysdev_driver_register — Register auxillary driver

## Synopsis

`int sysdev_driver_register (` | struct sysdev_class * | cls,
| struct sysdev_driver * | drv`)`;

## Arguments

`cls`

  Device class driver belongs to.

`drv`

  Driver.

## Description

`drv` is inserted into `cls`->drivers to be called on each operation on devices of that class. The refcount of `cls` is incremented.

Prev | Up | Next
transport_destroy_device | Home | sysdev_driver_unregister